
package mhp.oee.wserp.wxjgqr;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_CONFIRM_ORDER_OUTService", targetNamespace = "http://atlbatter.com/ANDON/CONFIRM_ORDER", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/3bc638e20eb9337898306f6143564b4b")
public class SICONFIRMORDEROUTService
    extends Service
{

    private final static URL SICONFIRMORDEROUTSERVICE_WSDL_LOCATION;
    private final static WebServiceException SICONFIRMORDEROUTSERVICE_EXCEPTION;
    private final static QName SICONFIRMORDEROUTSERVICE_QNAME = new QName("http://atlbatter.com/ANDON/CONFIRM_ORDER", "SI_CONFIRM_ORDER_OUTService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/3bc638e20eb9337898306f6143564b4b");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SICONFIRMORDEROUTSERVICE_WSDL_LOCATION = url;
        SICONFIRMORDEROUTSERVICE_EXCEPTION = e;
    }

    public SICONFIRMORDEROUTService() {
        super(__getWsdlLocation(), SICONFIRMORDEROUTSERVICE_QNAME);
    }

    public SICONFIRMORDEROUTService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SICONFIRMORDEROUTSERVICE_QNAME, features);
    }

    public SICONFIRMORDEROUTService(URL wsdlLocation) {
        super(wsdlLocation, SICONFIRMORDEROUTSERVICE_QNAME);
    }

    public SICONFIRMORDEROUTService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SICONFIRMORDEROUTSERVICE_QNAME, features);
    }

    public SICONFIRMORDEROUTService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SICONFIRMORDEROUTService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SICONFIRMORDEROUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SICONFIRMORDEROUT getHTTPPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/CONFIRM_ORDER", "HTTP_Port"), SICONFIRMORDEROUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SICONFIRMORDEROUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SICONFIRMORDEROUT getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/CONFIRM_ORDER", "HTTP_Port"), SICONFIRMORDEROUT.class, features);
    }

    /**
     * 
     * @return
     *     returns SICONFIRMORDEROUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SICONFIRMORDEROUT getHTTPSPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/CONFIRM_ORDER", "HTTPS_Port"), SICONFIRMORDEROUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SICONFIRMORDEROUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SICONFIRMORDEROUT getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/CONFIRM_ORDER", "HTTPS_Port"), SICONFIRMORDEROUT.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SICONFIRMORDEROUTSERVICE_EXCEPTION!= null) {
            throw SICONFIRMORDEROUTSERVICE_EXCEPTION;
        }
        return SICONFIRMORDEROUTSERVICE_WSDL_LOCATION;
    }

}
